KINIT(1)

NAME
krb524d - daemon for issuing Kerberos V4 tickets from Kerberos V5 tickets

SYNOPSIS

krb524d [-m | -k] [--version]

DESCRIPTION
The krb524d daemon runs on the KDC. When the krb524init(1) client presents a Kerberos V5 ticket to it, it generates a Kerberos V4 ticket.

krb524d runs on the "krb524/udp" port, if one is specified in the host's services(5) file (/etc/services). Otherwise, krb524d uses port 4444 as the default.

OPTIONS

-m  use the KDC database directly to verify the V5 ticket. This is the normal mode. This option is mutually exclusive with the -k option.

-k  use the keytab file specified in the environment variable KRB5_KTNAME instead of the KDC database to verify the ticket. This option is mutually exclusive with the -m option.

--version
    Print out the release version of the binary and exit.

ENVIRONMENT
krb524d uses the following environment variable:

KRB5CCNAME
    Location of the Kerberos V5 credentials (ticket) cache.

KRBTKFILE
    Location of the Kerberos V4 credentials (ticket) cache.

FILES

/tmp/krb5cc_[uid]
    default Kerberos V5 credentials cache ([uid] is the decimal UID of the user).

/tmp/tkt_[uid]
    default Kerberos V4 credentials cache ([uid] is the decimal UID of the user).

/etc/krb5.conf
    file containing local host's Kerberos V5 configuration information

SEE ALSO
kinit(1), klist(1), kdestroy(1), kerberos(1), krb5.conf(5), krb524d(8)

BUGS
Due to bugs that prevent values from 128*5 to 255*5 from being handled correctly, if the lifetime of a v4 ticket would be greater than 128*5 minutes the "CMU algorithm" is used. This causes values from 128 to 192 to be interpreted on a geometric scale from 10 2/3 hours to 30 days. Values in this range will be displayed differently by non-CMU V4 clients, but will be interpreted correctly by the AFS "aklog" program.